LinuxQuestions.org
Go Job Hunting at the LQ Job Marketplace
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices



Reply
 
Search this Thread
Old 01-13-2005, 01:37 AM   #1
Sitaga
LQ Newbie
 
Registered: Jan 2005
Distribution: Fedora Core 3
Posts: 10

Rep: Reputation: 0
Question Install PHP - Error During Compile


I am trying to install PHP 4.3.10 using the tutorial posted at http://www.lamphowto.com/lamp.htm. When compiling the install I get an error "If configure fails try --with-jpeg-dir=<DIR>
configure: error: libpng.(a|so) not found."

My configure was straight off of the tutorial and went like this:


./configure \
--with-apxs=/usr/local/apache/bin/apxs \
--disable-debug \
--enable-ftp \
--enable-inline-optimization \
--enable-magic-quotes \
--enable-mbstring \
--enable-mm=shared \
--enable-safe-mode \
--enable-track-vars \
--enable-trans-sid \
--enable-wddx=shared \
--enable-xml \
--with-dom \
--with-gd \
--with-gettext \
--with-mysql=/usr/local/mysql \
--with-regex=system \
--with-xml \
--with-zlib-dir=/usr/lib

After adding --with-jpeg-dir=<My Jpeg Directoy> I get this error: "configure: error: libjpeg.(a|so) not found."

I have the exact same problems when I try PHP 5.0.3.

I am using Fedora Core 3.

If I need to post any other information, please let me know. I apologize for my lack of knowledge, but I'll learn as I go!

thanks,
Sitaga
 
Old 01-13-2005, 11:18 AM   #2
Sitaga
LQ Newbie
 
Registered: Jan 2005
Distribution: Fedora Core 3
Posts: 10

Original Poster
Rep: Reputation: 0
Is there more detail I should include about this problem? Has anyone ever seen this error before?
 
Old 01-13-2005, 12:22 PM   #3
hw-tph
Senior Member
 
Registered: Sep 2003
Location: Sweden
Distribution: Debian
Posts: 3,032

Rep: Reputation: 57
Do you have the libjpeg development package installed? You will need it to build a package (like PHP) that depends on it.


Håkan
 
Old 01-13-2005, 01:04 PM   #4
Sitaga
LQ Newbie
 
Registered: Jan 2005
Distribution: Fedora Core 3
Posts: 10

Original Poster
Rep: Reputation: 0
Woo HOO!! that's exactly what it was. I just hadn't thought there was another package to install.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
PengAol compile error - can't install either. Ryle Dup Linux - Software 2 08-11-2005 04:37 PM
PHP Install Error omega71122 Solaris / OpenSolaris 3 06-06-2005 11:38 AM
PHP 4.3 compile error on RH9 men$an Linux - Distributions 0 05-23-2003 02:09 AM
PHP compile/install question... tarballed Linux - Software 3 02-19-2003 05:40 PM
error with php install? wujimon Linux - Newbie 6 02-10-2003 10:38 AM


All times are GMT -5. The time now is 06:52 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration